=== modified file 'codeigniter/application/controllers/ajax.php'
--- codeigniter/application/controllers/ajax.php	2013-05-24 09:37:27 +0000
+++ codeigniter/application/controllers/ajax.php	2013-05-24 12:07:02 +0000
@@ -15,6 +15,20 @@
 		 *	This function loads a popupview to be displayed, the argument is the name of the popupview
 		 */
 		public function popup($popupName) {
+			// Arrays
+			$headTagData = array(
+				'cssFiles' => array('bannermenu', 'popup')
+			);
+
+			$userInfo = array(
+				'userType' => $this->user->getUserType(), // Loads different header for teacher/student
+				'userName' => $this->user->getUserName()
+			);
+
+			// Loads head views, supplying CSS and JS data
+			$this->load->view('headTag', array('headTagData' => $headTagData));
+			$this->load->view('bannermenu', $userInfo);
+
 			$this->load->view('popup/'.$popupName);
 		}
 		

=== modified file 'codeigniter/application/views/popup/addCourse.php'
--- codeigniter/application/views/popup/addCourse.php	2013-05-24 09:37:27 +0000
+++ codeigniter/application/views/popup/addCourse.php	2013-05-24 12:07:02 +0000
@@ -1,4 +1,4 @@
-<div id="addCourse" class="manageCoursePopup">
+<div id="addCourse" class="manageCoursePopup popup">
 	<h2 class="popupHeader">Add Course</h2>
 	<form action="<?=base_url();?>ManageCourses/addCourse" method="post">
 		<ul>
@@ -15,9 +15,9 @@
 				<input type="text" class="text" name="addCourseData" id="addCourseData" placeHolder="Course Description">
 			</li>
 		</ul>
-		<div class="manageCoursePopupMenu">
-			<button class="popupButtons btn" type="submit">Confirm</button>
-			<button class="cancelButton popupButtons btn">Cancel</button>
+		<div class="bottomMenu">
+			<button class="popupButton btn" type="submit">Confirm</button>
+			<button class="cancelButton popupButton btn">Cancel</button>
 		</div>
 	</form>
 </div>	
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/editCourseDetails.php'
--- codeigniter/application/views/popup/editCourseDetails.php	2013-05-24 09:37:27 +0000
+++ codeigniter/application/views/popup/editCourseDetails.php	2013-05-24 12:07:02 +0000
@@ -1,4 +1,4 @@
-<div id="editCourse" class="manageCoursePopup">
+<div id="editCourse" class="manageCoursePopup popup">
 	<h2 class="popupHeader">Edit Course</h2>
 	<form action="<?=base_url();?>ManageCourses/editCourse" method="post">
 		<ul>
@@ -16,9 +16,9 @@
 				<input type="text" class="text" name="editCourseData" id="editCourseData">
 			</li>
 		</ul>
-		<div class="manageCoursePopupMenu">
-			<button class="popupButtons btn" type="submit">Confirm</button>
-			<button class="cancelButton popupButtons btn">Cancel</button>
+		<div class="bottomMenu">
+			<button class="popupButton btn" type="submit">Confirm</button>
+			<button class="popupButton cancelButton btn">Cancel</button>
 		</div>
 	</form>
 </div>	
\ No newline at end of file

=== modified file 'codeigniter/application/views/popup/loginForm.php'
--- codeigniter/application/views/popup/loginForm.php	2013-05-22 14:17:41 +0000
+++ codeigniter/application/views/popup/loginForm.php	2013-05-24 12:07:02 +0000
@@ -1,13 +1,20 @@
-<div id="loginForm">
-	<h2 class="loginTitle">Login</h2>
-	<?php echo form_open('login/validate'); ?>
-		<div class="inputarea">
-			<input class="text" type="text" size="20" id="username" name="username" /><br>
-			<input class="text" type="password" size="20" id="password" name="password" /><br>
-		</div>
-		<div>
-			<input class="hint btn" type="button" onclick="passwordHint('<?php echo base_url(); ?>');"/>
-			<input class="submit btn" type="submit" value="Login"/>
+<div id="loginForm" class="popup">
+	<h2 class="loginTitle popupHeader">Login</h2>
+	<form action="<?=base_url();?>login/validate" method="post">
+		<ul>
+			<li>
+				<label for="username">Username:</label>
+				<input class="text" type="text" size="20" id="username" name="username" placeholder="Username">
+			</li>
+			<li>
+				<label for="password">Password:</label>
+				<input class="text" type="password" size="20" id="password" name="password" placeholder="Password">
+			</li>
+		</ul>
+		<div class="bottomMenu">
+			<!--<button class="popupButton hint btn" onclick="passwordHint('<?php echo base_url(); ?>');">Hint</button>-->
+			<button class="popupButton submit btn" type="submit">Login</button>
+			<button class="popupButton cancelButton btn">Cancel</button>
 			<div id='hinttext'></div>
 		</div>
 	</form>

=== modified file 'codeigniter/css/popup.css'
--- codeigniter/css/popup.css	2013-05-22 10:06:29 +0000
+++ codeigniter/css/popup.css	2013-05-24 12:07:02 +0000
@@ -1,349 +1,104 @@
-#loginForm{
-	z-index:3000000;
+
+
+/* Fart */
+
+.popup {
+	width: 500px;
+	height: 250px;
 	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-h2.loginTitle{
-	margin:0;
-	margin-left:-15px;
-	margin-bottom:10px;
-	text-indent:15px;
-	padding-top:5px;
-	padding-bottom:5px;
+	z-index: 9999;
+	/* negative margins equal to half of width and half of height centers the element in conjunction with top/left: 50%; */
+	margin-left: -250px;
+	margin-top: -125px;
+	top: 50%;
+	left: 50%;
+	border: 1px solid #d3d3d3;
+	font: normal 1.3em/100% sans-serif;
+	background: #f5f5f5;
+}
+
+.popup form {
+	margin-left: 10px;
+	margin-top: 10px;
+}
+
+.popup .popupHeader{
+	padding: 5px 10px;
 	color:#FFF;
-	font-size:24px;
-	line-height:100%;
-	background-color:#333333;
-	}
-input.text{
-	float:left;
-	margin-top:10px;
-	margin-left:5px;
-	margin-right:5px;
-	height:30px;
+	background-color:#353535;
+	font-size: 100%;
+	font-weight: normal;
+	line-height: 1.5em;
+	border-bottom: 1px solid #d3d3d3;
+}
+
+
+.popup form ul li {
+	list-style: none;
+	height: 40px;
+}
+
+.popup form ul li label {
+	float: left;
+	width: 10em;
+	clear: left;
+	line-height: 30px;
+}
+
+.popup input.text {
 	background-color:white;
-	width:280px;
-	font-size:22px;
+	width:230px;
+	font-size:16px;
 	color:color:#333333;
-	display:inline-block;
-	/*Rounded corners*/
-	-webkit-border-radius: 7px;
-	-moz-border-radius: 7px;
-	border-radius: 7px;
-}
-
-input.submit{
-	float:right;
-	height:35px;
-	width:100px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-right:20px;
-	margin-top:10px;
-
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-input.popupButtons{
-	float:left;
-	height:35px;
-	width:100px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-right:30px;
-	margin-left:20px;
-	margin-top:10px;
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-input.btn:hover{
-	background-color:#f5f5f5;
-	background-image: linear-gradient(to bottom,#fff,#f5f5f5);
-}
-
-input.hint{
-	float:left;
-	width:35px;
-	height:35px;
-	margin-top:10px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-left:20px;
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-
-input.notValid{
-	background: #FF7F50;
-}
-
-input.Valid{
-	background: #98FB98;
-}
-
-.errorMessage{
-	float:right;
-	cursor:pointer;
-	font-family: "icomoon";
-	color:white;
-	font-size: 8px;
-	display:inline;
-	opacity:0;
-}
-
-/* Window for change password */
-#passwordChanger{
-	/* Position & Size */
-	position:fixed;
-	left:35%;
-	top:24%;
-	padding:20px;
-	width:300px;
-	height:150px;
-	
-	/* Colors */	
-	color:white;
-	background-color:#333;
-
-	/* Fonts */	
-	line-height: 200%;
-	font-family: Helvetica;
-	
-	/* Borders */
-	border-top: 1px solid #555;
-	border-left: 1px solid #555;
-	border-bottom:1px solid #111;
-	border-right:1px solid #111;
-	-webkit-box-shadow: 0 0 8px #000;
-}
-
-#passwordChanger input{
-	width:40%;
-	margin-right:5px;
-	float:right;
-}
-
-#passwordChanger .passwordHeader{
-	/* Position & Size */
-	width:320px;
-	height:30px;
-	margin-left:-21px;
-	margin-top:-20px;
-	padding-left:20px;
-	
-	/* Fonts */
-	font-size: 18px;
-	line-height:200%;
-	font-weight: bold;
-	
-	/* Colors */
-	color: #fff;
-	background-color:#333;
-	
-	/* Borders */
-	border-top: 1px solid #555;
-	border-left: 1px solid #555;
-	border-bottom:1px solid #111;
-	border-right:1px solid #111;
-}
-#passwordChanger .passwordHeaderBorder{
-	border-bottom:1px solid #555;
-	width:340px;
-	margin-left:-21px;
-	margin-bottom:5px;
-}
-
-#passwordChanger .button{
-	/* Position & Size */
-	width:125px;
-	height:33px;
-	margin-top:10px;
-	margin-right:18px;
-	
-	/* Colors */
-	background: #a8a8a8;
-	background: -webkit-gradient(linear, left top, left bottom, from(#f0f0f0), to(#a8a8a8));
-	background: -moz-linear-gradient(top, #f0f0f0, #a8a8a8);
-	background: linear-gradient(to bottom, #f0f0f0, #a8a8a8);
-	color: #5c5c5c;
-	
-	/* Font */
-	font: 16px Helvetica;
-	font-weight: bold;
-	text-align: center;
-	
-	/* Borders */
-	border: 1px solid #d0d0d0;
-	-webkit-border-radius: 2px;
-	-moz-border-radius: 2px;
-	border-radius: 2px;
-
-}
-
-#passwordChanger .button:hover, .button:active, .button:focus {
-	background: #a0a0a0;
-	background: -webkit-gradient(linear, left top, left bottom, from(#d0d0d0), to(#a0a0a0));
-	background: -moz-linear-gradient(top, #d0d0d0, #a0a0a0);
-	border-color: #777;
-	color: #ffffff;
-	font-weight: bold;
-	text-decoration: none;
-	font-style: none;
-}
-#popupxButton{
-	float:right;
-	width:25px;
-	height:25px;
-	background-image: linear-gradient(to top,#fff,#f5f5f5);
-	margin-right:15px;
-	/*text style*/
-	font: 16px Helvetica;
-	font-weight:bold;	
-}
-#subjectConfirmRemove{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#middleLayerPopups{
-	height:70px;
-	width:305px;
-	padding:0;
-}
-#middleLayerPopupsSizeTwo{
-	height:150px;
-	width:450px;
-	padding:0;
-	display:table;
-}	
-#middleLayerPopupsSizeThree{
-	height:175px;
-	width:450px;
-	padding:0;
-	display:table;
-}	
-#addCategory{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#changeActiveCourse{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 305px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#editCourse{
-	z-index:3000000;
-	position: fixed;
-    height: 250px;
-    width: 450px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#addCourse{
-	z-index:3000000;
-	position: fixed;
-    height: 250px;
-    width: 450px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#addStudents{
-	z-index:3000000;
-	position: fixed;
-    height: 275px;
-    width: 450px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-#addNewInstructor{
-	z-index:3000000;
-	position: fixed;
-    height: 175px;
-    width: 335px;
-	padding-left:15px;
-    margin: -150px 0 0 -160px;
-    top: 50%;
-    left: 50%;
-	background-color:lightgray;
-	border: 1px solid darkgray;
-	font: 13px Helvetica;
-	text-shadow: 0.5px 0.5px #ddd;
-	color: #4F5155;	
-}
-.inline{
-	float: left;
-	display:inline;
-}
-
-.tableRow{
-	display:table-row;
-}
-
-.tableCell{
-	display:table-cell;
-}
-.overflow{
-	overflow:auto;
+	border-radius: 7px;
+	padding: 5px;
+	height: auto;
+	vertical-align: bottom;
+	margin-left: 0;
+	border: 1px #d3d3d3 solid;
+}
+
+.popup input.text:focus {
+	outline: 0;
+	border-color: #000;
+}
+
+.popup span {
+	font-size: 100%;
+	line-height: 30px;
+}
+
+
+.popup .bottomMenu {
+	position: absolute;
+	bottom: 10px;
+}
+
+.popup .popupButton {
+	display:inline-block !important;
+	height:35px;
+	width:100px;
+	color: #666;
+	border-radius: 7px;
+	border: 1px #d3d3d3 outset;
+	background-image: linear-gradient(to top,#fff,#f5f5f5);
+}
+
+.popup .popupButton:hover {
+	cursor: pointer;
+	background: #fefefe;
+	color: #000;
+}
+
+.popup .popupButton:active {
+	border: 1px #d3d3d3 inset;
+}
+
+.popup .popupButton:focus {
+	border-color: #000;
+	outline: 0;
+}
+
+.popup .hint {
+	float: right;
 }
\ No newline at end of file

